.my-graybox{
    background: #F5F5F5;
    border:solid 1px #E2E2E2;
    padding:15px;
    border-radius: 10px;
}
.talk-room{
    position: relative;
    min-height: 400px;
    position: relative; 
    padding-top:40px;
}
.talk-room p, .talk-room textarea {
    font-family: monospace;
}
.mm-head {
    text-align: center;
    position: absolute;
    top:0;
    width:100%;
    background: #fff;
    border-bottom:solid 1px #eee;
}
.mm-head > a {
    position: absolute;
    top:0;
    left:0;
    padding:10px;
}
.mm-head > span {
    display: block;
    padding:10px 40px;
}
.mm-head i{
    color:#fe99cc;
}
.mm-body {
    background: #fff;
}
.mm-body .mm-field {
    height:515px;
    overflow-y: scroll;
    margin-bottom:50px;
    display: flex;
    flex-direction: column-reverse;
    padding:10px 20px 0 10px;
    gap:10px;
}
.mm-field > div {
    display: flex;
    gap:3px;
}
 .mm-field > div p {
    border:solid 2px #FFE8F4;
    border-radius: 10px;
    background: #FFE8F4;
    padding:10px;
    width:auto;
    max-width:70%;
    position: relative;
    word-break: break-all;
    margin:0;
} 
.mm-field .mm-right {
    justify-content: end;
}
.mm-field .mm-right p{
    background: #fe99cc;
    border-color: #fe99cc;
}
.mm-field .mm-right p::after{
    content: "";
    position: absolute;
    top: 3px; 
    right: -19px;
    border: 8px solid transparent;
    border-left: 18px solid #fe99cc;
    -webkit-transform: rotate(-35deg);
    transform: rotate(-35deg);
}
.mm-field .mm-left p::after{
    content: "";
    position: absolute;
    top: 3px; 
    left: -19px;
    border: 8px solid transparent;
    border-right: 18px solid #FFE8F4;
    -webkit-transform: rotate(35deg);
    transform: rotate(35deg);
} 
.mm-status {
    display:flex;
    align-items: end;
    font-size:10px;
    color:#666;
}
.mm-right .mm-status {
    text-align: right;
}
.mm-avator .video-avator{
    width:22px;
    height:22px;
}
/*.mm-date {
    justify-content: center;
}*/
.mm-field > div[class^="mm-date"] {
    display: block;
    margin:0 auto;
}
.mm-field > div.mm-date-label {
    position: absolute;
    top:50px;
    left:50%;
    transform: translateX(-50%);
    z-index:1500;
    display: none;

}

div[class^="mm-date"] > time {
    padding: 8px;
    color:#fff;
    background-color:rgba(0,0,0,.3); 
    border-radius: 15px
}
.mm-bottom {
    position: absolute;
    bottom:0;
    width:100%;
    bottom:-50px;
}
.mm-content-textarea {
    resize:none;
    padding:5px;
    border-radius: 9999px;
    width:85%;
}
.mm-bottom button {
    position: absolute;
    bottom:4px;
    right:4px;
    width:13%;
    border-radius: 9999px;
    border:none;
    background:#fe99cc;
    padding:5px;
    color:#fff;
    font-weight: 600;
}
.latest-massage-position {
    display: none;
}
.mm-status {position: relative;}
.mm-right [data-r-state="1"]::before{
    display: block;
    content:"\65E2\8AAD";
    white-space: pre;
    position: absolute;
    right: 0;
    bottom:1.2rem;
}
.mm-field > div#earliest_unread {
    width:100%;
    display: block;
}
.mm-field > div#earliest_unread > p{
    max-width:100%;
    width:100%;
    display: block;
    color:white;
    background-color:rgba(0,0,0,.3);
    border:none;
    text-align: center;
}
.member-message-box {
    border: solid 1px #999;
    border-radius: 5px;
    padding: 5px;
}
.member-message-box > .video-info > * {
    padding:0 5px;
}
.member-message-box .video-info {
    min-height: auto;
    display: flex;
    justify-content: space-between;
}
.member-message-box .video-info-right {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap:5px;
}
.member-message-box .video-avator {
    position: relative;
}
.member-message-box .video-avator .badge {
    position: absolute;
    display: block;
    top:0;
    margin:0;
    font-size:px;
    opacity: .7;
    padding:2px 0;
    width:54px;
}
.member-message-box .video-info-right > div:fist-child {
    flex:1;
}
.member-message-box .video-info-right > div:last-child {
    width:94px;
    text-align:right;
    font-size:11px;
}
.member-message-box .video-info-right > div > div:last-child {
    height: 4rem;
}
.mm-content {
    white-space: normal !important;
}
.member-message-box a:hover {
    background:#eee;
    text-decoration: none;
    color:inherit;
}
.unread-number {
    text-align: right;
    vertical-align: middle;
}
.unread-number > span {
    background: #e9556b;
    color:#fff;
    display: inline-block;
    height: 28px;
    min-width: 28px;
    border-radius: 50%;
    text-align: center;
    padding:5px 0;
}
.message-address {
    font-weight: bold;
    color:#333;
}
.message-address .badge {
    font-size:11px;
    margin-left:5px;
}
.message-address span {
    display: inline-block;
    font-size:10px;
    background: #efefef;
    font-weight: normal;
    margin-left:5px;
    border-radius:3px;
    padding:2px;
}
.message-address .ff {
    display: inline-block;
    font-size:10px;
    background: #fff;
    color:#333;
    border:solid 1px #ddd;
    font-weight: normal;
    padding:2px;
}
.message-links {display:flex;}

.msg-tabs{
    display:flex;
    gap:10px;
    text-align: center;
    margin-bottom: 20px;
}
.msg-tabs a{
    width: 25%;
    background: #ff72b8;
    font-weight: 600;
    color: #fff;
    font-size: 13px;
    border: solid 1px #ff72b8;
}
.msg-tabs a i{
    margin-right:5px;
}
.girl-message-page .msg-tabs{
    justify-content: space-between;
}
.follow-list {
    padding:0;
}
.follow-list li{
    display: flex;
    border: 1px solid #ddd;
    border-bottom:none;
    background: #f5f5f5;
    padding: 10px;
}
.follow-list li:last-child{
    border-bottom:1px solid #ddd;
}
.follower-id{
    width:70%;
}
.follower-id div:first-child{
    font-weight: 600;
}
.follow-list-btn{
    display: flex;
    justify-content: end;
    align-items: center;
    width:26%;
    margin-left:auto;
    gap:10px;
}
.girl-message-page .follow-list-btn{
    width:25%;
}
.follow-list-btn a,
.follow-list-btn button{
    display: block;
    width: 45%;
    font-size:10px;
    padding-left:0;
    padding-right:0;
}
.follow-list-btn .btn{
    white-space: normal;
}
.followback {
    background: #ff72b8;
    color: #fff;
}
.therapist-followees-list {
    width: 100%;
    min-height: 400px;
}
.followees-list {
    display: flex;
    justify-content: space-between;
    border: 1px solid #ddd;
    border-bottom: none;
    padding: 10px;
    background: #f5f5f5;
    align-items: center;
}
.followees-list:last-child{
    border-bottom: 1px solid #ddd;
}
.followees-list > div img {
    max-width:40px;
    height:auto;
    margin-right:5px;
}
.followees-list > div:first-child{
    width:100%;
    display:flex;
    align-items: center;
    min-width:150px;
    max-height:70px;
    overflow-y: hidden;
    gap:10px;
}
.followees-list > div:first-child a {
    text-decoration: underline;
    display: flex;
    align-items: center;
    gap: 10px;
}
.followees-list .btn {
    width:97px;
    height:37px;
}
.followees-list .btn-info {
    font-size:10px;

}
.followees-list-input {
    display:flex;
    gap:3px;
    /*justify-content: space-between;*/
}
.followees-list-input > div{
    display: flex;
    gap:3px;
    /*flex:1;*/
}
.followees-list-input > div:first-child > *{
    flex:1;
}
.followees-list-input > div:first-child > .input-group{
    min-width:140px;
}
.followees-list-input > div > input{
    width:auto;
}
.followees-list-input > div > .btn-info{
    line-height: 2;
}
.input-group-addon{
    padding: 9px 7px;
}
.input-group-addon{
    width: auto;
}
.girl-message-page .my-main{
    width:100%;
}
.girl-message-page .mypage-whitebox{
    position: unset;
    margin-bottom: 30px;
}
.girl-message-page .msg-tabs a{
    width:30%;
}
/*.followees-list {
    border:1px solid #ccc;
    display: table;
    width:100%;
}
.followees-list > div {
    display: table-cell;
    font-size:14px;
    padding:3px;
}
.followees-list input{
    max-width: 200px;
    padding: 3px;
    margin-bottom:3px;
}*/
.followback-btn{
    display: block;
    margin-left: auto;
    color: #333;
    background-color: #fff;
    border-color: #ccc;
    border: 1px solid #bbb;
    border-radius: 4px;
    font-weight: 600;
    margin-bottom:10px;
    font-size: 12px;
}
.followback-btn:hover{
    background:#ff72b8;
    color:#fff;
    border:1px solid #ff72b8;
}
.followback-btn i{
    margin-right:5px;
}
.pfcb {
    display: flex;
    flex-wrap: wrap;
    border: solid 1px #ddd;
    padding: 10px;
    margin-bottom: 40px;
}
.pfcb .checkbox {
    margin-top:10px !important;
    width:33%;
}
.pfcb label{
    color:#333;
}

@media (max-width: 699px) and (orientation: portrait), (max-width: 899px) and (orientation: landscape) {
    .talk-room{
        position: absolute;
        width: 100vw;
        height: 100vh;
        top: 0;
        left: 0;
        z-index: 1500;
        background-color: #fff;
        overflow-x: hidden;
        overflow-y: auto;
    }
    .mm-body .mm-field{
        height: auto;
    }
    .mm-bottom{
        position: fixed;
        bottom:0;
        background: #F5F5F5;
        padding:10px;
    }
    .mm-bottom button{
        top: 11px;
        width: 18%;
        bottom: 12px;
        padding: 5px;
        border-radius: 5px;
    }
    .mm-content-textarea{
        width:80%;
        min-height: 55px;
        border-radius: 10px;
    }
    .msg-tabs{
        flex-wrap: wrap;
        gap: 5px;
    }
    .msg-tabs a{
        width:49%;
    }
    .girl-message-page{
        width: 100%;
    }
    .girl-message-page .msg-tabs a{
        width:49%;
    }
    .follow-list-btn{
        flex-wrap: wrap;
        gap:5px;
        width:30%;
    }
    .girl-message-page .follow-list-btn{
        width:33%;
    }
    .follow-list-btn a,
    .follow-list-btn button{
        width:100%;
    }
    /*.followees-list,*/
    /*.followees-list-input div:first-child{*/
        /*display: block;*/
    /*}*/
    /*.followees-list-input .input-group{*/
        /*margin:0 !important;*/
    /*}*/
    /*.followees-list-input input[type="text"]{*/
        /*margin-bottom:10px;*/
    /*}*/
    /*.followees-list-input .input-group input[type="password"],*/
    /*.followees-list-input .input-group input[type="text"]{*/
        /*width:90%;*/
        /*margin-bottom: 10px;   */
    /*}*/
    /*.input-group-addon {*/
        /*padding: 11px 7px 9px 7px;*/
    /*}*/
    .pfcb {
        display: block;
    }
    .pfcb .checkbox {
        width:100%;
    }
}
@media (max-width:698px) {
    .followees-list-input {
        display: block;
    }
    .followees-list-input > div:last-child {
        margin-top:5px;
        justify-content: flex-end;
    }
}

@media (max-width:568px) {
    /*.followees-list-input {*/
        /*display: block;*/
    /*}*/
    .followees-list-input div {
        text-align: right;
    }
    .followees-list-input button {
        margin-top:3px;
    }
}
@media (max-width:451px) {
    .followees-list {
        display: block;
    }
    .followees-list-names {
        margin-bottom: 3px;
    }
}
@media (max-width:320px) {
    .followees-list-input > div:first-child {
        display: block;
    }
    .followees-list-input > div:first-child .input-group {
        margin-top:3px;
    }
}